%global namedversion %{version}%{?namedreltag}

Name:           fasterxml-oss-parent
Version:        11
Release:        2%{?reltag}%{?dist}
Epoch:          0
Summary:        FasterXML.com parent pom
License:        ASL 2.0/LGPLv2.1
Group:          Development/Java
URL:            http://github.com/FasterXML/
%if 0
/bin/rm -rf oss-parent-11.tar.xz oss-parent-11/ oss-parent/ .gitignore
/usr/bin/git clone -q -n https://github.com/FasterXML/oss-parent.git
cd oss-parent/
/usr/bin/git archive --prefix=oss-parent-11/ oss-parent-11 | /usr/bin/xz -9 > ../oss-parent-11.tar.xz
cd ../
/usr/bin/rhpkg new-sources oss-parent-11.tar.xz
/usr/bin/rhpkg prep
%endif
Source0:        oss-parent-11.tar.xz
Patch0:         0000-oss-parent-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  maven-scm-provider-gitexe >= 0:1.7
BuildRequires:  maven-scm-manager-plexus >= 0:1.7
# FIXME: build this
#BuildRequires:  wagon-gitsite >= 0:0.3.1
BuildRequires:  maven-enforcer-plugin >= 0:1.1.1
BuildRequires:  maven-compiler-plugin >= 0:2.5.1
BuildRequires:  build-helper-maven-plugin >= 0:1.7
BuildRequires:  maven-surefire-plugin >= 0:2.12
BuildRequires:  maven-bundle-plugin >= 0:2.3.7
BuildRequires:  maven-jar-plugin >= 0:2.4
BuildRequires:  maven-site-plugin
BuildRequires:  maven-scm-plugin >= 0:1.7
BuildRequires:  maven-javadoc-plugin >= 0:2.8.1
BuildRequires:  maven-project-info-reports-plugin >= 0:2.5
BuildRequires:  maven-jxr-plugin >= 0:2.3
# XXX: 2.0-beta-2
BuildRequires:  jdepend-maven-plugin >= 0:2.0
BuildRequires:  maven-surefire-report-plugin >= 0:2.12
BuildRequires:  maven-pmd-plugin >= 0:2.7.1
BuildRequires:  taglist-maven-plugin >= 0:2.4
#
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-fluido-skin >= 0:1.2.2
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-project-info-reports-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  surefire-junit4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/fasterxml-oss-parent-%{namedversion}-%{release}-root

%description
FasterXML.com parent pom.

%if 0
%package -n fasterxml-oss-parent-javadoc
Summary:        Javadoc for oss-parent
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n fasterxml-oss-parent-javadoc
%{summary}.
%endif

%package -n fasterxml-oss-parent-site
Summary:        Site for oss-parent
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       fasterxml-oss-parent-javadoc = %{epoch}:%{version}-%{release}
%endif

%description -n fasterxml-oss-parent-site
%{summary}.

%prep
%setup -q -n oss-parent-%{namedversion}
%patch0 -p1 -b .0000~

%build
export MAVEN_REPO_LOCAL=${PWD}/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=remote-repository::default::file://${PWD}/maven2-brew
export MAVEN_OPTS=
%{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -DperformRelease -Denforcer.skip deploy site

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/com/fasterxml/oss-parent/%{namedversion}/oss-parent-%{namedversion}-site.xml %{buildroot}%{_javadir}/fasterxml-oss-parent-%{namedversion}-site.xml
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/com/fasterxml/oss-parent/%{namedversion}/oss-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-fasterxml-oss-parent.pom

# depmaps
%add_to_maven_depmap com.fasterxml oss-parent %{namedversion} JPP fasterxml-oss-parent
[ %{name} = "fasterxml-oss-parent" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/fasterxml-oss-parent

# javadoc
%if 0
%{__mkdir_p} %{buildroot}%{_javadocdir}/fasterxml-oss-parent-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/fasterxml-oss-parent-%{namedversion}
%{__ln_s} fasterxml-oss-parent-%{namedversion} %{buildroot}%{_javadocdir}/fasterxml-oss-parent
%endif

# site
%{__mkdir_p} %{buildroot}%{_docdir}/fasterxml-oss-parent-%{namedversion}
%{__cp} -pr target/site/* %{buildroot}%{_docdir}/fasterxml-oss-parent-%{namedversion}
%if 0
%{__rm} -r %{buildroot}%{_docdir}/fasterxml-oss-parent-%{namedversion}/apidocs
%{__ln_s} %{_javadocdir}/fasterxml-oss-parent %{buildroot}%{_docdir}/fasterxml-oss-parent-%{namedversion}/apidocs
%endif
%{__ln_s} fasterxml-oss-parent-%{namedversion} %{buildroot}%{_docdir}/fasterxml-oss-parent

%clean
%{__rm} -rf %{buildroot}

%post -n fasterxml-oss-parent
%update_maven_depmap

%postun -n fasterxml-oss-parent
%update_maven_depmap

%files -n fasterxml-oss-parent
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.creole
%{_javadir}/fasterxml-oss-parent-%{namedversion}-site.xml
%{_javadir}/fasterxml-oss-parent-site.xml
%{_mavenpomdir}/JPP-fasterxml-oss-parent.pom
%{_mavendepmapfragdir}/fasterxml-oss-parent

%if 0
%files -n fasterxml-oss-parent-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/fasterxml-oss-parent-%{namedversion}
%{_javadocdir}/fasterxml-oss-parent
%endif

%files -n fasterxml-oss-parent-site
%defattr(0644,root,root,0755)
%{_docdir}/fasterxml-oss-parent-%{namedversion}
%{_docdir}/fasterxml-oss-parent

%changelog
* Tue Aug 27 2013 David Walluck <dwalluck@redhat.com> 0:11-2
- rebuild

* Tue Aug 27 2013 David Walluck <dwalluck@redhat.com> 0:11-1
- release
